Bug 105601 - [PATCH]: ucarp port miss a startup script
Summary: [PATCH]: ucarp port miss a startup script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-16 09:30 UTC by Nicolas Szalay
Modified: 2006-12-09 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.66 KB, patch)
2006-11-16 09:30 UTC, Nicolas Szalay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Szalay 2006-11-16 09:30:01 UTC
I decided to use ucarp to make redundant firewalls, and I noticed that there
was no startup script included. You have to start by hand, and it cannot start
at boot.

Fix: The provided patch is a rc.d script (this is my first one for a BSD)

the ucarp stuff I use in rc.conf :

~> grep ucarp /etc/rc.conf
# ucarp stuff
ucarp_enable="YES"
ucarp_src="192.168.30.228"
ucarp_addr="192.168.30.231"
ucarp_if="bge0"
ucarp_upscript="/home/nico/ip-up.sh"
ucarp_downscript="/home/nico/ip-down.sh"

But there is a bit more possible (due to the fact that ucarp has no configuration file)

Patch attached with submission follows:
How-To-Repeat: portinstall ucarp ;)
Comment 1 Remko Lodder freebsd_committer 2006-11-16 10:18:29 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Assign to the correct usergroup (this is a port, not something in src/)
Comment 2 Pav Lucistnik freebsd_committer 2006-11-19 14:47:28 UTC
Dear maintainer of FreeBSD prot net/ucarp, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?pr=105601

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Canada is a country whose main exports are hockey players and cold fronts.
Our main imports are baseball players and acid rain.
  -- Pierre Elliott Trudeau
Comment 3 Pav Lucistnik freebsd_committer 2006-11-19 14:47:31 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 4 Pav Lucistnik freebsd_committer 2006-11-19 14:47:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 5 Pav Lucistnik freebsd_committer 2006-12-09 14:10:57 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2006-12-09 14:12:08 UTC
pav         2006-12-09 14:12:00 UTC

  FreeBSD ports repository

  Modified files:
    net/ucarp            Makefile 
  Added files:
    net/ucarp/files      ucarp.in 
  Log:
  - Add a startup script
  
  PR:             ports/105601
  Submitted by:   Nicolas Szalay <nico@rottenbytes.info>
  Approved by:    maintainer timeout (3 weeks)
  
  Revision  Changes    Path
  1.3       +3 -0      ports/net/ucarp/Makefile
  1.1       +103 -0    ports/net/ucarp/files/ucarp.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"